	INTEGER FUNCTION IPHYSX(XPOS)
C************************************************************
C
C  THIS FUNCTION RETURNS THE PHYSICAL POSITION
C  IN RASTER UNITS, OF A SPECIFIED USER X POSITION
C
C  POSSIBLE ERRORS:
C	NONE
C
C  ROUTINES CALLED:
C	NONE
C
C************************************************************
	INTEGER BEAMX, BEAMY
	COMMON /SCLBLK/ XMIN, YMIN, XMAX, YMAX, BEAMX, BEAMY

	SCALE = 1023. / (XMAX - XMIN)
	IPHYSX = SCALE * (XPOS - XMIN) + .5
	RETURN
	END
